Update Borrower
curl --request PUT \
--url https://los.universal.rollout.com/api/borrowers/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Rollout-Credential-Id: <api-key>' \
--data '
{
"emails": [
{
"value": "<string>",
"type": "<string>",
"status": "<string>",
"isPrimary": true
}
],
"name": "<string>",
"type": "<string>",
"phones": [
{
"value": "<string>",
"type": "<string>",
"status": "<string>",
"isPrimary": true
}
],
"addresses": [
{
"type": "<string>",
"street": "<string>",
"city": "<string>",
"state": "<string>",
"code": "<string>",
"country": "<string>",
"county": "<string>"
}
],
"taxId": "<string>",
"bio": {}
}
'import requests
url = "https://los.universal.rollout.com/api/borrowers/{id}"
payload = {
"emails": [
{
"value": "<string>",
"type": "<string>",
"status": "<string>",
"isPrimary": True
}
],
"name": "<string>",
"type": "<string>",
"phones": [
{
"value": "<string>",
"type": "<string>",
"status": "<string>",
"isPrimary": True
}
],
"addresses": [
{
"type": "<string>",
"street": "<string>",
"city": "<string>",
"state": "<string>",
"code": "<string>",
"country": "<string>",
"county": "<string>"
}
],
"taxId": "<string>",
"bio": {}
}
headers = {
"Authorization": "Bearer <token>",
"X-Rollout-Credential-Id": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
Authorization: 'Bearer <token>',
'X-Rollout-Credential-Id': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
emails: [{value: '<string>', type: '<string>', status: '<string>', isPrimary: true}],
name: '<string>',
type: '<string>',
phones: [{value: '<string>', type: '<string>', status: '<string>', isPrimary: true}],
addresses: [
{
type: '<string>',
street: '<string>',
city: '<string>',
state: '<string>',
code: '<string>',
country: '<string>',
county: '<string>'
}
],
taxId: '<string>',
bio: {}
})
};
fetch('https://los.universal.rollout.com/api/borrowers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://los.universal.rollout.com/api/borrowers/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'emails' => [
[
'value' => '<string>',
'type' => '<string>',
'status' => '<string>',
'isPrimary' => true
]
],
'name' => '<string>',
'type' => '<string>',
'phones' => [
[
'value' => '<string>',
'type' => '<string>',
'status' => '<string>',
'isPrimary' => true
]
],
'addresses' => [
[
'type' => '<string>',
'street' => '<string>',
'city' => '<string>',
'state' => '<string>',
'code' => '<string>',
'country' => '<string>',
'county' => '<string>'
]
],
'taxId' => '<string>',
'bio' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"X-Rollout-Credential-Id: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://los.universal.rollout.com/api/borrowers/{id}"
payload := strings.NewReader("{\n \"emails\": [\n {\n \"value\": \"<string>\",\n \"type\": \"<string>\",\n \"status\": \"<string>\",\n \"isPrimary\": true\n }\n ],\n \"name\": \"<string>\",\n \"type\": \"<string>\",\n \"phones\": [\n {\n \"value\": \"<string>\",\n \"type\": \"<string>\",\n \"status\": \"<string>\",\n \"isPrimary\": true\n }\n ],\n \"addresses\": [\n {\n \"type\": \"<string>\",\n \"street\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"code\": \"<string>\",\n \"country\": \"<string>\",\n \"county\": \"<string>\"\n }\n ],\n \"taxId\": \"<string>\",\n \"bio\": {}\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("X-Rollout-Credential-Id", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://los.universal.rollout.com/api/borrowers/{id}")
.header("Authorization", "Bearer <token>")
.header("X-Rollout-Credential-Id", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"emails\": [\n {\n \"value\": \"<string>\",\n \"type\": \"<string>\",\n \"status\": \"<string>\",\n \"isPrimary\": true\n }\n ],\n \"name\": \"<string>\",\n \"type\": \"<string>\",\n \"phones\": [\n {\n \"value\": \"<string>\",\n \"type\": \"<string>\",\n \"status\": \"<string>\",\n \"isPrimary\": true\n }\n ],\n \"addresses\": [\n {\n \"type\": \"<string>\",\n \"street\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"code\": \"<string>\",\n \"country\": \"<string>\",\n \"county\": \"<string>\"\n }\n ],\n \"taxId\": \"<string>\",\n \"bio\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://los.universal.rollout.com/api/borrowers/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["X-Rollout-Credential-Id"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"emails\": [\n {\n \"value\": \"<string>\",\n \"type\": \"<string>\",\n \"status\": \"<string>\",\n \"isPrimary\": true\n }\n ],\n \"name\": \"<string>\",\n \"type\": \"<string>\",\n \"phones\": [\n {\n \"value\": \"<string>\",\n \"type\": \"<string>\",\n \"status\": \"<string>\",\n \"isPrimary\": true\n }\n ],\n \"addresses\": [\n {\n \"type\": \"<string>\",\n \"street\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"code\": \"<string>\",\n \"country\": \"<string>\",\n \"county\": \"<string>\"\n }\n ],\n \"taxId\": \"<string>\",\n \"bio\": {}\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"name": "<string>",
"taxId": "<string>",
"type": "<string>",
"addresses": [
{
"type": "<string>",
"street": "<string>",
"city": "<string>",
"state": "<string>",
"code": "<string>",
"country": "<string>",
"county": "<string>"
}
],
"emails": [
{
"value": "<string>",
"type": "<string>",
"status": "<string>",
"isPrimary": true,
"relationshipId": 123
}
],
"phones": [
{
"value": "<string>",
"type": "<string>",
"status": "<string>",
"isPrimary": true
}
],
"bio": "<unknown>",
"created": "2023-11-07T05:31:56Z",
"updated": "2023-11-07T05:31:56Z",
"nameFirst": "<string>",
"nameMiddle": "<string>",
"nameLast": "<string>",
"nameSuffix": "<string>",
"dateOfBirth": "2023-11-07T05:31:56Z",
"citizenshipType": "<string>",
"maritalStatus": "<string>",
"dependentCount": 123,
"creditType": "<string>",
"jointBorrowerCount": 123,
"dependentAges": [
123
],
"alternateNames": [
{
"first": "<string>",
"middle": "<string>",
"last": "<string>",
"suffix": "<string>"
}
],
"residences": [
{
"type": "<string>",
"address": {
"type": "<string>",
"street": "<string>",
"city": "<string>",
"state": "<string>",
"code": "<string>",
"country": "<string>",
"county": "<string>"
},
"durationMonths": 123,
"housingType": "<string>",
"monthlyRent": 123
}
],
"employment": [
{
"employer": "<string>",
"position": "<string>",
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"isCurrent": true,
"selfEmployed": true,
"ownershipShare": 123,
"monthlyIncome": {
"base": 123,
"overtime": 123,
"bonus": 123,
"commission": 123,
"other": 123
}
}
],
"otherIncomeSources": [
{
"source": "<string>",
"monthlyAmount": 123
}
],
"declarations": {},
"militaryService": {
"servedInMilitary": true,
"currentlyServing": true,
"status": "<string>",
"expirationDate": "2023-11-07T05:31:56Z",
"survivingSpouse": true
},
"demographics": {
"ethnicity": [
"<string>"
],
"hispanicOrigin": "<string>",
"sex": "<string>",
"race": [
"<string>"
],
"raceDetail": "<string>",
"visualObservation": {
"ethnicity": true,
"sex": true,
"race": true
},
"collectionMethod": "<string>"
},
"unmarriedAddendum": {
"hasSpousalRights": true,
"relationshipType": "<string>",
"state": "<string>",
"explanation": "<string>"
},
"personId": "<string>",
"rolloutUpdated": "2023-11-07T05:31:56Z",
"originalIds": {},
"original": {}
}{
"errorMessage": "<string>"
}{
"code": "RESOURCE_NOT_FOUND",
"errorMessage": "<string>"
}{
"errors": [
{
"message": "<string>"
}
]
}Borrowers
Update Borrower
Requires borrowers: true in the credential’s entitiesToSync selection and a connector that supports this operation. Choose what data to sync, or fix an entity that is not configured to sync.
PUT
/
borrowers
/
{id}
Update Borrower
curl --request PUT \
--url https://los.universal.rollout.com/api/borrowers/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Rollout-Credential-Id: <api-key>' \
--data '
{
"emails": [
{
"value": "<string>",
"type": "<string>",
"status": "<string>",
"isPrimary": true
}
],
"name": "<string>",
"type": "<string>",
"phones": [
{
"value": "<string>",
"type": "<string>",
"status": "<string>",
"isPrimary": true
}
],
"addresses": [
{
"type": "<string>",
"street": "<string>",
"city": "<string>",
"state": "<string>",
"code": "<string>",
"country": "<string>",
"county": "<string>"
}
],
"taxId": "<string>",
"bio": {}
}
'import requests
url = "https://los.universal.rollout.com/api/borrowers/{id}"
payload = {
"emails": [
{
"value": "<string>",
"type": "<string>",
"status": "<string>",
"isPrimary": True
}
],
"name": "<string>",
"type": "<string>",
"phones": [
{
"value": "<string>",
"type": "<string>",
"status": "<string>",
"isPrimary": True
}
],
"addresses": [
{
"type": "<string>",
"street": "<string>",
"city": "<string>",
"state": "<string>",
"code": "<string>",
"country": "<string>",
"county": "<string>"
}
],
"taxId": "<string>",
"bio": {}
}
headers = {
"Authorization": "Bearer <token>",
"X-Rollout-Credential-Id": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
Authorization: 'Bearer <token>',
'X-Rollout-Credential-Id': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
emails: [{value: '<string>', type: '<string>', status: '<string>', isPrimary: true}],
name: '<string>',
type: '<string>',
phones: [{value: '<string>', type: '<string>', status: '<string>', isPrimary: true}],
addresses: [
{
type: '<string>',
street: '<string>',
city: '<string>',
state: '<string>',
code: '<string>',
country: '<string>',
county: '<string>'
}
],
taxId: '<string>',
bio: {}
})
};
fetch('https://los.universal.rollout.com/api/borrowers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://los.universal.rollout.com/api/borrowers/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'emails' => [
[
'value' => '<string>',
'type' => '<string>',
'status' => '<string>',
'isPrimary' => true
]
],
'name' => '<string>',
'type' => '<string>',
'phones' => [
[
'value' => '<string>',
'type' => '<string>',
'status' => '<string>',
'isPrimary' => true
]
],
'addresses' => [
[
'type' => '<string>',
'street' => '<string>',
'city' => '<string>',
'state' => '<string>',
'code' => '<string>',
'country' => '<string>',
'county' => '<string>'
]
],
'taxId' => '<string>',
'bio' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"X-Rollout-Credential-Id: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://los.universal.rollout.com/api/borrowers/{id}"
payload := strings.NewReader("{\n \"emails\": [\n {\n \"value\": \"<string>\",\n \"type\": \"<string>\",\n \"status\": \"<string>\",\n \"isPrimary\": true\n }\n ],\n \"name\": \"<string>\",\n \"type\": \"<string>\",\n \"phones\": [\n {\n \"value\": \"<string>\",\n \"type\": \"<string>\",\n \"status\": \"<string>\",\n \"isPrimary\": true\n }\n ],\n \"addresses\": [\n {\n \"type\": \"<string>\",\n \"street\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"code\": \"<string>\",\n \"country\": \"<string>\",\n \"county\": \"<string>\"\n }\n ],\n \"taxId\": \"<string>\",\n \"bio\": {}\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("X-Rollout-Credential-Id", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://los.universal.rollout.com/api/borrowers/{id}")
.header("Authorization", "Bearer <token>")
.header("X-Rollout-Credential-Id", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"emails\": [\n {\n \"value\": \"<string>\",\n \"type\": \"<string>\",\n \"status\": \"<string>\",\n \"isPrimary\": true\n }\n ],\n \"name\": \"<string>\",\n \"type\": \"<string>\",\n \"phones\": [\n {\n \"value\": \"<string>\",\n \"type\": \"<string>\",\n \"status\": \"<string>\",\n \"isPrimary\": true\n }\n ],\n \"addresses\": [\n {\n \"type\": \"<string>\",\n \"street\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"code\": \"<string>\",\n \"country\": \"<string>\",\n \"county\": \"<string>\"\n }\n ],\n \"taxId\": \"<string>\",\n \"bio\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://los.universal.rollout.com/api/borrowers/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["X-Rollout-Credential-Id"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"emails\": [\n {\n \"value\": \"<string>\",\n \"type\": \"<string>\",\n \"status\": \"<string>\",\n \"isPrimary\": true\n }\n ],\n \"name\": \"<string>\",\n \"type\": \"<string>\",\n \"phones\": [\n {\n \"value\": \"<string>\",\n \"type\": \"<string>\",\n \"status\": \"<string>\",\n \"isPrimary\": true\n }\n ],\n \"addresses\": [\n {\n \"type\": \"<string>\",\n \"street\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"code\": \"<string>\",\n \"country\": \"<string>\",\n \"county\": \"<string>\"\n }\n ],\n \"taxId\": \"<string>\",\n \"bio\": {}\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"name": "<string>",
"taxId": "<string>",
"type": "<string>",
"addresses": [
{
"type": "<string>",
"street": "<string>",
"city": "<string>",
"state": "<string>",
"code": "<string>",
"country": "<string>",
"county": "<string>"
}
],
"emails": [
{
"value": "<string>",
"type": "<string>",
"status": "<string>",
"isPrimary": true,
"relationshipId": 123
}
],
"phones": [
{
"value": "<string>",
"type": "<string>",
"status": "<string>",
"isPrimary": true
}
],
"bio": "<unknown>",
"created": "2023-11-07T05:31:56Z",
"updated": "2023-11-07T05:31:56Z",
"nameFirst": "<string>",
"nameMiddle": "<string>",
"nameLast": "<string>",
"nameSuffix": "<string>",
"dateOfBirth": "2023-11-07T05:31:56Z",
"citizenshipType": "<string>",
"maritalStatus": "<string>",
"dependentCount": 123,
"creditType": "<string>",
"jointBorrowerCount": 123,
"dependentAges": [
123
],
"alternateNames": [
{
"first": "<string>",
"middle": "<string>",
"last": "<string>",
"suffix": "<string>"
}
],
"residences": [
{
"type": "<string>",
"address": {
"type": "<string>",
"street": "<string>",
"city": "<string>",
"state": "<string>",
"code": "<string>",
"country": "<string>",
"county": "<string>"
},
"durationMonths": 123,
"housingType": "<string>",
"monthlyRent": 123
}
],
"employment": [
{
"employer": "<string>",
"position": "<string>",
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"isCurrent": true,
"selfEmployed": true,
"ownershipShare": 123,
"monthlyIncome": {
"base": 123,
"overtime": 123,
"bonus": 123,
"commission": 123,
"other": 123
}
}
],
"otherIncomeSources": [
{
"source": "<string>",
"monthlyAmount": 123
}
],
"declarations": {},
"militaryService": {
"servedInMilitary": true,
"currentlyServing": true,
"status": "<string>",
"expirationDate": "2023-11-07T05:31:56Z",
"survivingSpouse": true
},
"demographics": {
"ethnicity": [
"<string>"
],
"hispanicOrigin": "<string>",
"sex": "<string>",
"race": [
"<string>"
],
"raceDetail": "<string>",
"visualObservation": {
"ethnicity": true,
"sex": true,
"race": true
},
"collectionMethod": "<string>"
},
"unmarriedAddendum": {
"hasSpousalRights": true,
"relationshipType": "<string>",
"state": "<string>",
"explanation": "<string>"
},
"personId": "<string>",
"rolloutUpdated": "2023-11-07T05:31:56Z",
"originalIds": {},
"original": {}
}{
"errorMessage": "<string>"
}{
"code": "RESOURCE_NOT_FOUND",
"errorMessage": "<string>"
}{
"errors": [
{
"message": "<string>"
}
]
}Authorizations
Query Parameters
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Response
Response for status 200